<template>
  <div class="custom-control custom-switch py-1">
    <input type="checkbox" class="custom-control-input" :id="'loc' + location" v-model="model">
    <label class="custom-control-label" :for="'loc' + location">{{ title }}</label>
  </div>
</template>

<script>
// Store
import { SHOW_LOCATION, HIDE_LOCATION, mutationNameResolve } from '@/store/workspace/mutations'

// Mixins
import ParentWorkspaceMixin from '@/dashboard/mixins/ParentWorkspace'


export default {
  name: 'locationcheckbox',

  mixins: [
    ParentWorkspaceMixin,
  ],

  props: {
    location: {
      type: String,
      required: true,
    },
  },

  computed: {
    title: {
      get() {
        return this.$store.getters.getLocationById(this.location).name
      }
    },

    model: {
      get() {
        return this.$store.state[this.workspace].locations.find(location => location.id === this.location).active
      },

      set(value) {
        if(value) {
          this.$store.commit(mutationNameResolve(this.workspace, SHOW_LOCATION), { id: this.location })
        } else {
          this.$store.commit(mutationNameResolve(this.workspace, HIDE_LOCATION), { id: this.location })
        }
      },
    },
  }
}
</script>

